Skip to main content
GET
/
v1
/
custom-voices
Gets custom (cloned) voices
curl --request GET \
  --url https://supertoneapi.com/v1/custom-voices \
  --header 'x-sup-api-key: <api-key>'
{
  "items": [
    {
      "voice_id": "voice_123456789",
      "name": "My Custom Voice",
      "description": "A warm and friendly voice for customer service"
    }
  ],
  "total": 25,
  "next_page_token": "10"
}
このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は英語の原文もあわせてご確認ください。
アカウントが所有するカスタムボイスを返します。Supertone Play で作成したボイスクローン および クローンボイス作成 経由で作成したクローンの両方が含まれ、どちらも同じリストに集約されます。

エンドポイント

GET https://supertoneapi.com/v1/custom-voices

クエリパラメータ

NameRequiredDescription
page_size1 ページあたりの件数です。デフォルト 20、最大 100
next_page_token前回のレスポンスから取得した、次ページ取得用のトークンです。

レスポンス

カスタムボイスオブジェクトの items 配列と、オプショナルな next_page_token を返します。

注意事項

  • カスタムボイスは アカウント単位 で管理されます。API キーで認証したアカウントが所有するボイスのみが表示されます。
  • カスタムボイスはプリセットボイスと同じ TTS エンドポイントから呼び出せます。カスタムの voice_id を渡すだけで利用可能です。

関連項目

Docs: Custom voices

クローンボイスの作成、管理、使用方法。

Create cloned voice

サンプルをアップロードして新しいクローンを登録します。

Authorizations

x-sup-api-key
string
header
required

Query Parameters

page_size
number

Number of items per page (default: 20, min: 10, max: 100)

next_page_token
string

Token for pagination (obtained from the previous page's response)

Response

Paginated custom voices response with next page token

items
object[]
required

List of custom voice items

total
number
required

Total number of available custom voices

Example:

25

next_page_token
string

Token for fetching the next page of results. A valid non-negative integer string (e.g., "10", "20"). Null if no more pages.

Example:

"10"